Bug 428905 - Use the custom rules file option does not work as expected
Use the custom rules file option does not work as expected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 17:50 EST by Larry O'Leary
Modified: 2008-06-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file to support custom rules within RH-Firewall-1-INPUT chain (1.93 KB, patch)
2008-01-16 22:59 EST, Larry O'Leary
no flags Details | Diff

  None (edit)
Description Larry O'Leary 2008-01-15 17:50:51 EST
When attempting to use a Custom Rules File for Security Level Configuration the
custom rules are applied after the default rules as expected, however, the
default rules include the following line as their last entry:

REJECT     all  --  anywhere             anywhere            reject-with
icmp-host-prohibited 

Which prevents any custom rules from being executed.

In my case I have created the following custom rules file:

-A RH-Firewall-1-INPUT -j LOG --log-prefix "RH-Firewall-1-INPUT DROP "
-A RH-Firewall-1-INPUT -j DROP

After applying this custom rules file by starting system-config-securitylevel ->
Advanced Options -> Use the custom rules file: -> /etc/sysconfig/iptables.custom
-> Apply, the chain looks like this:

...
12   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:139 
13   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:445 
14   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with
icmp-host-prohibited 
15   LOG        all  --  0.0.0.0/0            0.0.0.0/0           LOG flags 0
level 4 prefix `RH-Firewall-1-INPUT DROP ' 
16   DROP       all  --  0.0.0.0/0            0.0.0.0/0     

As you can see, my custom rules are added after the REJECT ALL target.  

It seems that this is not the expected behavior.  Furthermore, it seems that I
should be able to define the last rule to accomplish this with the need to use a
custom rules file.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.7.0-6.fc7
iptables-1.3.8-6.fc7
Comment 1 Larry O'Leary 2008-01-16 22:59:01 EST
Created attachment 291950 [details]
Patch file to support custom rules within RH-Firewall-1-INPUT chain

I have found the attached patch resolves my issue.  Basically, if a custom
rules file has been defined, a new chain is added to the filter table named
RH-Firewall-Custom1-INPUT.  Prior to the REJECT rule in RH-Firewall-1-INPUT, a
jump target to RH-Firewall-Custom1-INPUT is defined.  This will allow a user to
define custom rules and have them executed in the filter table without the
REJECT resulting in their rules being ignored if appended.
Comment 2 Larry O'Leary 2008-01-16 23:26:35 EST
Here is my iptables chains that reflect my use case after applying the patch:


...
12   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:139 
13   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:445 
14   RH-Firewall-Custom1-INPUT  all  --  0.0.0.0/0            0.0.0.0/0           
15   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with
icmp-host-prohibited 

Chain RH-Firewall-Custom1-INPUT (1 references)
num  target     prot opt source               destination         
1    LOG        all  --  0.0.0.0/0            0.0.0.0/0           LOG flags 0
level 4 prefix `RH-Firewall DROP ' 
2    DROP       all  --  0.0.0.0/0            0.0.0.0/0
Comment 3 Bug Zapper 2008-05-14 11:15:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:59:30 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.